/**
* v_help.js
* Version: 0.1
* User: wy
* Date: 2017-12-27
* Copyright(c)  2017. U-GEN Tech.Co,Ltd. All Rights Reserved.
* 帮助页面
*/

import config from '../../public/config.js';
import {iot, uPublic, uComponents} from '../../public/public.js';

iot.ready(init);

function init() {
    //通用 组件
    uPublic.componentsInit(['u-button','u-dialog','u-loading']);
    const app = new Vue({
        data:{          
            //配置组件
            componentsConfig: initComponentsConfig()   
        },
        mounted(){
        },
        methods:{
        	//tap 完成
            onFinishButtonTap(){
                finishButtonTap();
            }
        }   
    }).$mount('#app');
}

//配置组件参数
function initComponentsConfig() {
    return {
    	finishButton: {   
            initParam: {
                class: 'custom-button',
                text: Vue.t('btn.finish')
            }
        },
        dialog: {
            initParam: {
                class: 'custom-dialog'
            }
        },
    	loading: {
            initParam: {
                class: 'custom-loading'
            }
        }
    }
}

//tap 完成
function finishButtonTap(){
}